//---------------------------------------------------------------------------

#ifndef OptionSetting_FormH
#define OptionSetting_FormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "TntButtons.hpp"
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include "Environment.h"
#include "TntStdCtrls.hpp"
#include <jpeg.hpp>
//---------------------------------------------------------------------------
class TOptionSettingForm : public TForm
{
__published:	// IDE-managed Components
  TImage *Image5;
  TImage *Image6;
  TImage *Image7;
  TImage *Image14;
  TImage *Image15;
  TImage *Image10;
  TImage *Image9;
  TImage *Image8;
  TPanel *Panel3;
  TGroupBox *GroupBox1;
  TImage *Image2;
  TImage *Image3;
  TImage *Image4;
  TImage *Image11;
  TGroupBox *GroupBox4;
  TTntSpeedButton *ActiveModeBtn1;
  TTntSpeedButton *ActiveModeBtn2;
  TTntSpeedButton *ActiveModeBtn3;
  TPanel *Panel1;
  TLabel *Label1;
  TLabel *Label2;
  TLabel *Label3;
  TGroupBox *GroupBox2;
  TTntSpeedButton *SystemModelType1;
  TTntSpeedButton *SystemModelType3;
  TTntSpeedButton *SystemModelType2;
  TTntSpeedButton *SystemModelType4;
  TCheckBox *LaserComplexerCheckBox;
  TLabel *Label4;
  TEdit *IPBBoardCountEdit;
  TGroupBox *GroupBox3;
  TLabel *Label6;
  TEdit *tvmAppTitleEdit;
  TLabel *Label7;
  TEdit *cvmAppTitleEdit;
  TButton *Button2;
  TButton *Button4;
  TButton *Button5;
  TButton *Button6;
  TCheckBox *ConfirmCommunicationStatusCheckBox;
  TPanel *Panel2;
  TEdit *sLaserPathEdit;
  TTntButton *FindFolderButton;
  TCheckBox *NoLicenseAppCheckBox;
  TImage *Image1;
  TImage *Image12;
  TImage *Image13;
  TTntCheckBox *ckbTPB_Operation;
  void __fastcall FormActivate(TObject *Sender);
  void __fastcall ActiveModeBtn1Click(TObject *Sender);
  void __fastcall SystemModelType1Click(TObject *Sender);
  void __fastcall Image2Click(TObject *Sender);
  void __fastcall Button2Click(TObject *Sender);
  void __fastcall Button4Click(TObject *Sender);
  void __fastcall Button6Click(TObject *Sender);
  void __fastcall Button5Click(TObject *Sender);
  void __fastcall Panel2DblClick(TObject *Sender);
  void __fastcall FindFolderButtonClick(TObject *Sender);
private:	// User declarations
  void __fastcall RefreshOptionComponents();
  void __fastcall RefreshLCID();
  void __fastcall RefreshCommMode();
  void __fastcall RefreshMachineType();
  void __fastcall RefreshBoardCount();
  void __fastcall RefreshLaserMode();
  void __fastcall RefreshAppsTitle();
  void __fastcall RefreshCommCheckSW();
  void __fastcall RefreshLicenseCheckSW();
  void __fastcall CheckChangeOption();
  void __fastcall RefreshTPBOperationMode();
  TApplicationStartOption tempApplicationStartOption;
public:		// User declarations
  __fastcall TOptionSettingForm(TComponent* Owner);
  bool bDefault;
  bool bChangeParams;
};
//---------------------------------------------------------------------------
extern PACKAGE TOptionSettingForm *OptionSettingForm;
//---------------------------------------------------------------------------
#endif
